summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/misc/ptx-overrun.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/misc/ptx-overrun.sh b/tests/misc/ptx-overrun.sh
index a4f2e382e..3b4681264 100755
--- a/tests/misc/ptx-overrun.sh
+++ b/tests/misc/ptx-overrun.sh
@@ -41,4 +41,9 @@ ptx ws.in ws.in | sort | uniq -u > out
compare /dev/null out || fail=1
+# Trigger an invalid heap reference noticed by gcc -fsanitize=address
+# from coreutils-8.25 and earlier.
+echo a > a
+ptx -w1 -A $PWD/a >/dev/null || fail=1
+
Exit $fail